/* =========================================================================================== */
/* #                                                                                         # */
/* #   SGS CSR 2014 ChartGenerator                                                           # */
/* #                                                                                         # */
/* =========================================================================================== */

#chartGenerator,
.cg-html-tooltip {
  font-family: Arial, sans-serif;
  line-height: 17px;
}
/* ======== main containers ======== */
#chartGenerator {
  position: relative;
  width: 818px;
  height: 598px;
  border: 1px solid #CCCCCC;
}
#cgControls {
  position: absolute;
  top: 0;
  left: 0;
  width: 818px;
  height: 598px;
  background-color: #FFFFFF;
  background-image: url("../cg/img/gradient-1px-slice.png");
  background-repeat: repeat-x;
}
#cgPlotArea {
  position: absolute;
  top: 58px;
  left: 0;
  width: 818px;
  height: 504px;
  border-top: 1px solid #848685;
}
#cgControls sub,
#cgControls sup {
  font-size: 0.7em;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}
#cgControls sup {
  top: -0.5em;
}
#cgControls sub {
  bottom: -0.25em;
}
#cgPlotArea sup {
  position: static;
  vertical-align: super;
}
#cgPlotArea sub {
  position: static;
  vertical-align: sub;
}
#cgNoData {
  width: 385px;
  height: 300px;
  padding-top: 200px;
  font-size: 20px;
  line-height: 1.2em;
  color: #FF6600;
  text-align: center;
  margin: 0 auto;
}
/* ======= accordion general ======= */
h2.cg-selection-title {
  padding: 0;
  margin: 0;
  border: none;
  background-color: transparent;
  text-shadow: none;
  font-size: 12px;
  width: 100%;
}
h2.cg-selection-title a {
  color: #363636;
  text-decoration: none;
  display: block;
  font-size: 12px;
  font-weight: bold;
  padding: 8px 0 0 40px;
  height: 25px;
  background: url("../cg/img/box_keyfigure.png") no-repeat scroll 13px 13px #F8F8F8;
}
#cgSelectFigures:hover h2.cg-selection-title a,
#cgSelectYears:hover h2.cg-selection-title a {
  color: #FFFFFF;
  background-color: #FF6600;
  background: url("../cg/img/box_keyfigure-hover.png") no-repeat scroll 13px 13px #FF6600;
}
#cgFlyout1, #cgFlyout2 {
  position: absolute;
  bottom: 33px;
  left: -1px;
  overflow: hidden;
  z-index: 123;
  width: 100%;
  background-color: #FFFFFF;
  border: 1px solid #E5E5E5;/**/
}
ul.cg-selection,
ul.cg-sub-selection,
ul.cg-selection-controls,
ul.cg-export-buttons {
  margin: 0;
  padding: 0;
  list-style: none;
}
ul.cg-selection a {
  text-decoration: none;
  color: #363636;
  padding: 2px 0 2px 10px;
  display: block;
  font-size: 11px;
}
ul.cg-selection li.group {
  clear: both;
  border-bottom: 1px solid #E5E5E5;
}
ul.cg-selection li.first a {
  /* border-top: 1px solid transparent; */
}
ul.cg-selection li.last {
  border-bottom: medium none; /* */
}
ul.cg-selection li.last .cg-sub-selection li.last {
  border-bottom: 1px solid transparent;
}
#cgFlyout2 ul.cg-selection a {
  border: none;
}
/*
Accordion (Main Group):
Helvetica Neue, Light, 16px
normal: #7C7C7C
hover/active: #333333
*/
ul.cg-sub-selection a {
  text-decoration: none;
  color: #363636; /* inactive */
  padding: 3px 0 1px 28px;
  display: block;
  border: none;
  font-size: 11px;
}
ul.cg-selection li.selected a {
  color: #363636;
}
ul.cg-selection a:hover {
  color: #363636;
}
ul.cg-selection-controls {
  /* display: none; */
  width: 100%;
  height: 24px;
}
ul.cg-selection-controls li {
  float: left;
}
ul.cg-selection-controls li a {
  padding: 4px 10px 0 25px;
  color: #9E9E9E;
  text-decoration: none;
}
ul.cg-selection-controls li a:hover {
  color: #FF6600;
}
ul.cg-selection-controls li.select-all a {
  background: url("../cg/img/box_select_all-inactive.png") no-repeat scroll 10px 7px #FFFFFF;
}
ul.cg-selection-controls li.select-all a:hover {
  background: url("../cg/img/box_select_all-hover.png") no-repeat scroll 10px 7px #FFFFFF;
}
ul.cg-selection-controls li.select-none a {
  background: url("../cg/img/box_select_none-inactive.png") no-repeat scroll 10px 7px #FFFFFF;
}
ul.cg-selection-controls li.select-none a:hover {
  background: url("../cg/img/box_select_none-hover.png") no-repeat scroll 10px 7px #FFFFFF;
}
#cgFlyout2 ul.cg-selection-controls li a {
  background-color: #F8F8F8;
  font-size: 11px;
  margin: 0;
  padding: 5px 10px 0 29px;
}

/* ======= accordion figures ======= */
#cgSelectFigures {
  position: absolute;
  top: 564px;
  left: 20px;
  width: 308px;
  height: 33px;
  border: solid 1px #CCCCCC;
}
#cgSelectFigures h2.cg-selection-title {
  /* display: none; hide selection title (always open, no header) */
}
#cgSelectFigures li.closed ul {
  display: none;
}
#cgSelectFigures li.opened ul.cg-sub-selection li a {
  background: url("../cg/img/box_checkbox.png") no-repeat scroll 10px 4px #FFFFFF;
  color: #363636;
}
#cgSelectFigures li.opened ul.cg-sub-selection li.selected a {
  color: #363636;
  background: url("../cg/img/box_checkbox-active.png") no-repeat scroll 10px 4px #FFFFFF;
}
#cgSelectFigures li.opened ul.cg-sub-selection li/*.selected*/ a:hover {
  color: #363636;
  background-color: #FFE0CC;
}
#cgSelectFigures li a.cg-group-title {
  /* background: url("../cg/img/box_keyfigure_group.png") no-repeat scroll 100% 11px #FFFFFF; */
  color: #363636;
  background-color: #F8F8F8;
  font-size: 11px;
}
#cgSelectFigures li.opened a.cg-group-title {
  /* background: url("../cg/img/box_keyfigure_group-active.png") no-repeat scroll 100% 11px #FFFFFF; */
  color: #FFFFFF;
  background-color: #363636;
  font-size: 11px;
}
#cgSelectFigures li.closed a.cg-group-title:hover {
  background-color: #FFE0CC;
}
#cgSelectFigures li.opened ul.cg-sub-selection li {
  border-bottom: 1px solid #E5E5E5;
}
/* ======== accordion years ======== */
/*
Accordion (Select Year):
Helvetica Neue, Bold, 16px
normal: #7C7C7C
hover/active: #333333
*/
#cgSelectYears {
  position: absolute;
  top: 564px;
  left: 329px;
  width: 145px;
  height: 33px;
  border: 1px solid #CCCCCC;
}
#cgFlyout2 ul.cg-selection li {
}
#cgFlyout2 ul.cg-selection li.first {
  border-top: 5px solid white;
}
#cgFlyout2 ul.cg-selection li.last a {
}
#cgFlyout2 ul.cg-selection a {
  font-size: 11px;
  padding: 3px 0 1px 30px;
  color: #363636;
}
#cgFlyout2 ul.cg-selection li a {
  background: url("../cg/img/box_checkbox.png") no-repeat scroll 10px 4px #FFFFFF;
}
#cgFlyout2 ul.cg-selection li.selected a {
  background: url("../cg/img/box_checkbox-active.png") no-repeat scroll 10px 4px #FFFFFF;
}
#cgFlyout2 ul.cg-selection li a:hover {
  background-color: #FFE0CC;
}
#cgSelectYears ul.cg-selection li { /* unused years */
  display: none;
}
#cgSelectYears ul.cg-selection li.available {
  display: block;
}
#cgFlyout2 ul.cg-selection-controls {
  background-color: #F8F8F8;
  clear: both;
  height: 20px;
  margin-top: 5px;
  padding-top: 3px;
}

/* ====== index/swap general ======= */
/*
Indexed View | Switch Year/Key-Figures:
Helvetica Neue, Regular, 12px
normal: #7C7C7C
hover: #333333
*/
#cgIndexToggle a.cg-control,
#cgAxisSwap a.cg-control {
  border: solid 1px #CCCCCC;
  color: #363636;
  display: inline-block;
  font-size: 10px;
  font-weight: bold;
  padding: 4px 0 3px 32px;
  text-decoration: none;
  width: 83px;
}
#cgIndexToggle a.cg-control:hover,
#cgAxisSwap a.cg-control:hover {
  color: #FF6600;
}
/* ======== indexing button ======== */
#cgIndexToggle {
  left: 555px;
  position: absolute;
  top: 573px;
}
#cgIndexToggle .cg-control {
  background: url("../cg/img/misc_indexed_abs.png") no-repeat scroll 9px 6px transparent;
}
#cgIndexToggle .cg-control:hover {
  background: url("../cg/img/misc_indexed_abs-hover.png") no-repeat scroll 9px 6px transparent;
}
#cgIndexToggle.cg-view-normal #cgIndexedView,
#cgIndexToggle.cg-view-indexed #cgNormalView {
  display: inline-block;
}
#cgIndexToggle.cg-view-indexed #cgIndexedView,
#cgIndexToggle.cg-view-normal #cgNormalView {
  display: none;
}
/* ========== swap button ========== */
#cgAxisSwap {
  left: 671px;
  position: absolute;
  top: 573px;
}
#cgAxisSwap .cg-control {
  background: url("../cg/img/misc_swap_keyfigure.png") no-repeat scroll 9px 6px transparent;
}
#cgAxisSwap .cg-control:hover {
  background: url("../cg/img/misc_swap_keyfigure-hover.png") no-repeat scroll 9px 6px transparent;
}

/* ========== type switch ========== */
/*
Text zu Darstellung Icons (Balken, Linien, Tabelle):
Helvetica Neue, Bold, 15px
active: #21A0D2
inactive: #7C7C7C
hover: #333333
*/
#cgTypeSwitches {
  position: absolute;
  top: 0;
  left: 20px;
}
#cgTypeSwitches ul {
  margin: 0;
  padding: 0;
  height: 33px;
  list-style: none;
}
#cgTypeSwitches ul li {
  float: left;
  margin: 0;
}
#cgTypeSwitches ul li a {
  padding: 0;
  margin: 7px 7px 0 0;
  width: 47px;
  height: 44px;
  display: inline-block;
}
#cgTypeSwitches ul li a:hover {
  color: #333333;
}
#cgTypeSwitches ul li a.active,
#cgTypeSwitches ul li a.active:hover {
  color: #21A0D2;
  text-decoration: none;
}
#cgSwitch2bar {
  background: url("../cg/img/navi_vertbar.png") no-repeat scroll 12px 12px transparent;
}
#cgSwitch2bar:hover {
  background: url("../cg/img/navi_vertbar-hover.png") no-repeat scroll 0 0 transparent;
}
#cgSwitch2bar.active, #cgSwitch2bar.active:hover {
  background: url("../cg/img/navi_vertbar-active.png") no-repeat scroll 0 0 transparent;
}
#cgSwitch2line {
  background: url("../cg/img/navi_line.png") no-repeat scroll 12px 12px transparent;
}
#cgSwitch2line:hover {
  background: url("../cg/img/navi_line-hover.png") no-repeat scroll 0 0 transparent;
}
#cgSwitch2line.active, #cgSwitch2line.active:hover {
  background: url("../cg/img/navi_line-active.png") no-repeat scroll 0 0 transparent;
}
#cgSwitch2table {
  background: url("../cg/img/navi_table.png") no-repeat scroll 12px 12px transparent;
}
#cgSwitch2table:hover {
  background: url("../cg/img/navi_table-hover.png") no-repeat scroll 0 0 transparent;
}
#cgSwitch2table.active, #cgSwitch2table.active:hover {
  background: url("../cg/img/navi_table-active.png") no-repeat scroll 0 0 transparent;
}

/* ============= export ============ */
#cgExportButtons {
  position: absolute;
  top: 23px;
  right: 27px;
}
#cgExportButtons ul.cg-export-buttons li {
  float: right;
  margin: 0 0 0 20px;
}
#cgExportButtons a.cg-export-button {
  padding: 0 0 0 20px;
  margin: 0 0 0 15px;
  color: #363636;
  font-size: 12px;
  font-weight: bold;
  text-decoration: none;
}
#cgExportButtons a.cg-export-button:hover {
  color: #FF6600;
}
#cgExport_print {
  background: url("../cg/img/output_print.png") no-repeat scroll 0 0 transparent;
}
#cgExport_print:hover {
  background: url("../cg/img/output_print-hover.png") no-repeat scroll 0 0 transparent;
}
/**/
#cgExport_png {
  background: url("../cg/img/output_png.png") no-repeat scroll 0 0 transparent;
}
#cgExport_png:hover {
  background: url("../cg/img/output_png-hover.png") no-repeat scroll 0 0 transparent;
}
/**/
#cgExport_xls {
  background: url("../cg/img/output_xls.png") no-repeat scroll 0 0 transparent;
}
#cgExport_xls:hover {
  background: url("../cg/img/output_xls-hover.png") no-repeat scroll 0 0 transparent;
}

/* ============= table ============= */
#cgPlotArea h2 {
  width: auto;
  display: inline-block;
  font-size: 12px;
  font-weight: bold;
  padding: 21px 0 0 20px;
  margin: 0;
  color: #424242;
  background-color: transparent;
  text-shadow: none;
  cursor: auto;
}
#cgPlotArea table {
  border-collapse: collapse;
  width: 777px;
  margin: -17px auto 0;
  font-size: 12px;
  line-height: 18px;
}
#cgPlotArea table .main-column {
  color: #FF6600;
}
#cgPlotArea h2,
#cgPlotArea table span {
  cursor: default;
}
#cgPlotArea table thead td {
  border-bottom: 2px solid #FF6600;
  padding-bottom: 4px;
  font-weight: bold;
}
#cgPlotArea table tbody td {
  border-bottom: 1px solid #E4E4E4;
  /* font-size: 11px;  do we want this @ 12px or not? */
}
#cgPlotArea table tbody tr:hover {
  background-color: #FFE0CC;
}
#cgPlotArea table tbody td.first {
  min-width: 123px;
  padding: 0.4em;
}
.align-right {
  text-align: right;
  min-width: 47px;
  padding: 0 0.6em;
}
.even {
  background-color: #FFFFFF;
}
.odd {
  background-color: #FFFFFF;
}
/* footnotes */
@media screen {
  #cgPlotArea h2 .screen,
  #cgPlotArea table .screen {
    display: inline-block;
  }
  #cgPlotArea h2 .print,
  #cgPlotArea table .print {
    display: none;
  }
  #cgPlotArea .footer {
    display: none;
  }
}
@media print {
  * {
    font-family: Arial, sans-serif;
  }
  #cgPlotArea {
    border: none;
  }
  #cgPlotArea h2 .screen,
  #cgPlotArea table .screen {
    display: none;
  }
  #cgPlotArea h2 .print,
  #cgPlotArea table .print {
    display: inline-block;
    padding: 0 0 0.3em;
    font-size: 0.7em;
    line-height: 1.0em;
  }
  #cgPlotArea .footer {
    display: block;
    margin: 20px 20px 0;
  }
  #cgPlotArea .footer dl {
    display: block;
    margin: 4px 0;
    font-size: 11px;
  }
  #cgPlotArea .footer dt {
    float: left;
    width: 20px;
  }
  #cgPlotArea .footer dd {
    margin-left: 25px;
  }
}

/* media query to detect touch devices (CG tests for element.offsetTop === 7) */
@media (touch-enabled),(-moz-touch-enabled),(-ms-touch-enabled),(-webkit-touch-enabled),(-o-touch-enabled){
  #cgTestTouch {
    position: absolute;
    top: 7px;
    width: 10px;
    height: 10px;
  }
}

/* ============= tooltip ============= */
.highcharts-html-tooltip {
  display: inline-block;
  background-color: #FFE0CC;  /* S.tooltip_background */
  border: solid 1px #8E8E8E;  /* S.tooltip_border_size  S.tooltip_border_color */
  font-size: 11px;            /* S.tooltip_font_size */
  font-weight: normal;        /* S.tooltip_font_bold (0=normal, 1=bold) */
  color: #363636;             /* S.tooltip_font_color */
  padding: 6px 6px;           /* S.tooltip_padding_vert S.tooltip_padding_hor */
  border-radius: 0;
  box-shadow: none;
  min-width: 166px;
  max-width: 265px;
  white-space: normal;
}
/*
  "tooltip_background": "#DDDDDD",
  "tooltip_border_color": "#dd7f7f",
  "tooltip_border_size": "1",
  "tooltip_font_bold": "0",
  "tooltip_font_color": "#000000",
  "tooltip_font_size": "11",
  "tooltip_maxwidth": "150",
  "tooltip_padding_hor": "2",
  "tooltip_padding_vert": "2",
*/
